CFD Online Discussion Forums

CFD Online Discussion Forums (https://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (https://www.cfd-online.com/Forums/openfoam-installation/)
-   -   [foam-extend.org] Error message while installing openfoam extend 3.0 (https://www.cfd-online.com/Forums/openfoam-installation/219748-error-message-while-installing-openfoam-extend-3-0-a.html)

ketanganatra0@gmail.com August 7, 2019 03:54

Error message while installing openfoam extend 3.0
 
4 Attachment(s)
Dear friend,

I am trying to install openfoam extended foam 3.0 for using PANS turbulence model. I have downloaded the files and followed the procedures mentioned in the website to install it. But i am having problem during the compiling. Can you help me regarding the errors I got.

I have attached the images of errors appeared. Plz take a look at the attachments.


Thank You.


Regards,
Ketan Ganatra

ketanganatra0@gmail.com August 7, 2019 12:03

Error message while installing openfoam extend 3.0
 
Hi friends,
I am trying to install openfoam extend 3.0 on ubuntu 16. But the error messages occur while installing.

Can any body help me regarding this.....?????

https://drive.google.com/drive/folde...lz?usp=sharing

wyldckat August 25, 2019 09:31

Quick answer: Knowing which Linux Distribution and version you are using would make it a lot easier to help you...

However, the error message you've provided indicates that you need to run this command:
Code:

find src applications -name "*.L" -type f | xargs sed -i -e 's=\(YY\_FLEX\_SUBMINOR\_VERSION\)=YY_FLEX_MINOR_VERSION < 6 \&\& \1='
This is indicated for Ubuntu 16.04 and foam-extend 3.1: https://openfoamwiki.net/index.php/I...u#Ubuntu_16.04 - but it's the same fix for foam-extend 3.0...

AMalaguera October 3, 2019 09:45

Problems on installing Foam-extend 4.0
 
Greetings friends
*
I would like to know if foam-extend-4.0 can be installed with Ubuntu 18.04. I already installed foam-extend-4.0 on my PC but it is not working. Run the ampFsiFoam / 3dTube case and there will be no ParaView. I checked the log (log.blockMesh, log.setSet and log.setstoZones) files and they were executed completely. When I open ParaView, the following error appears:

"--> FOAM FATAL IO ERROR:
Essential entry 'value' missing

file: /home/angel/OpenFOAM/angel-6/FluidSolidInteraction/run/ampFsiFoam/3dTube/fluid/0/p.boundaryField.inlet from line 38 to line 40.

From function Foam::fvPatchField<Type>::fvPatchField(const Foam::fvPatch&, const Foam:imensionedField<Type, Foam::volMesh>&, const Foam::dictionary&, bool) [with Type = double]
in file /home/ubuntu/OpenFOAM/OpenFOAM-6/src/finiteVolume/lnInclude/fvPatchField.C at line 131.

FOAM exiting

Segmentation fault (core dumped)"

What could be the issue?

Thank you!

Angel


All times are GMT -4. The time now is 05:46.